# String

## Methods

#### # (static) camelToKebab(string) → {string}

Converts a string from camel case to kebap case.
Parameters:

Name | Type | Description
--- | --- | ---
`string` | string | The string to convert

Source:
  - index.js, line 913
Tutorials:
  - camelToKebab

Returns:
The converted string

Type
  string

#### # (static) camelToSnake(string) → {string}

Converts a string from camel case to snake case.
Parameters:

Name | Type | Description
--- | --- | ---
`string` | string | The string to convert

Source:
  - index.js, line 925
Tutorials:
  - camelToSnake

Returns:
The converted string

Type
  string

#### # (static) kebabToCamel(string) → {string}

Converts a string from kebap case to camel case.
Parameters:

Name | Type | Description
--- | --- | ---
`string` | string | The string to convert

Source:
  - index.js, line 937
Tutorials:
  - kebabToCamel

Returns:
The converted string

Type
  string

#### # (static) kebabToSnake(string) → {string}

Converts a string from kebap case to snake case.
Parameters:

Name | Type | Description
--- | --- | ---
`string` | string | The string to convert

Source:
  - index.js, line 949
Tutorials:
  - kebabToSnake

Returns:
The converted string

Type
  string

#### # (static) lcfirst(string) → {string}

Converts the first character of a string to lowercase.
Parameters:

Name | Type | Description
--- | --- | ---
`string` | string | The string to convert

Source:
  - index.js, line 893
Tutorials:
  - lcfirst

Returns:
The converted string

Type
  string

#### # (static) snakeToCamel(string) → {string}

Converts a string from snake case to camel case.
Parameters:

Name | Type | Description
--- | --- | ---
`string` | string | The string to convert

Source:
  - index.js, line 961
Tutorials:
  - snakeToCamel

Returns:
The converted string

Type
  string

#### # (static) snakeToKebab(string) → {string}

Converts a string from snake case to kebap case.
Parameters:

Name | Type | Description
--- | --- | ---
`string` | string | The string to convert

Source:
  - index.js, line 973
Tutorials:
  - snakeToKebab

Returns:
The converted string

Type
  string

#### # (static) ucfirst(string) → {string}

Converts the first character of a string to uppercase.
Parameters:

Name | Type | Description
--- | --- | ---
`string` | string | The string to convert

Source:
  - index.js, line 903
Tutorials:
  - ucfirst

Returns:
The converted string

Type
  string